> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive list of all native assets created under a specific Cardano minting policy.

# List assets of a policy



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /policy/{policy}/assets
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /policy/{policy}/assets:
    get:
      tags:
        - Asset Policy
      summary: List assets of a policy
      description: >-
        Lists all assets which have existed under the specified policy ID with a
        short information summary for each
      operationId: policy_assets
      parameters:
        - name: policy
          in: path
          description: Hex encoded Policy ID
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: List of assets paired with short information summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAssetInfoConcise'
              example:
                data:
                  - asset_name: 6164616d616e74
                    asset_name_ascii: adamant
                    fingerprint: asset105lxc60yjpqygjsnn29e5hjyafnfw75pqwwza2
                    total_supply: '1'
                    asset_standards:
                      cip25_metadata:
                        augmentations: []
                        core:
                          handleEncoding: utf-8
                          og: 0
                          prefix: $
                          termsofuse: https://adahandle.com/tou
                          version: 0
                        description: The Handle Standard
                        image: ipfs://Qmai8iwE1Diw5YZVYSpSPAbXM5AVprheve8AAXJzwXoftf
                        name: $adamant
                        website: https://adahandle.com
                      cip68_metadata: null
                  - asset_name: 6264736d
                    asset_name_ascii: bdsm
                    fingerprint: asset1qyv6sdhq0fw7mxt0zl7gwd2h2hs4evpe0zl73r
                    total_supply: '1'
                    asset_standards:
                      cip25_metadata:
                        augmentations: []
                        core:
                          handleEncoding: utf-8
                          og: 0
                          prefix: $
                          termsofuse: https://adahandle.com/tou
                          version: 0
                        description: The Handle Standard
                        image: ipfs://QmfTpy3ybWL1teCMVAieh7atHtYgpcCZ5Ew58eSUxHgZFb
                        name: $bdsm
                        website: https://adahandle.com
                      cip68_metadata: null
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: YmRzbQ
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedAssetInfoConcise:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AssetInfoConcise'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    AssetInfoConcise:
      type: object
      description: Information about a specific Cardano native-asset
      required:
        - asset_name
        - asset_name_ascii
        - fingerprint
        - total_supply
        - asset_standards
      properties:
        asset_name:
          type: string
          description: Hex encoding of the asset name
        asset_name_ascii:
          type: string
          description: ASCII representation of the asset name
        asset_standards:
          $ref: '#/components/schemas/AssetStandards'
        fingerprint:
          type: string
          description: CIP-14 fingerprint of the asset
        total_supply:
          type: string
          description: Current amount of the asset minted
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    AssetStandards:
      type: object
      description: Asset information corresponding to popular standards
      properties:
        cip25_metadata:
          type: object
          description: CIP-25 metadata for a specific asset
          nullable: true
        cip68_metadata:
          allOf:
            - $ref: '#/components/schemas/Cip68Metadata'
          nullable: true
    Cip68Metadata:
      type: object
      required:
        - purpose
        - version
        - metadata
      properties:
        extra:
          type: string
          description: Custom user defined Plutus data CBOR bytes
          nullable: true
        metadata:
          type: object
          description: Asset CIP-68 metadata
        purpose:
          $ref: '#/components/schemas/Cip68AssetType'
        version:
          type: integer
          format: int64
          description: CIP-68 version
          minimum: 0
    Cip68AssetType:
      type: string
      enum:
        - reference_nft
        - user_nft
        - user_ft
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````